curl
curl -X GET "https://api.services.payward.com/v1/assets/stablecoin/USDC"import requests
url = "https://api.services.payward.com/v1/assets/{asset_type}/{asset_symbol}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.services.payward.com/v1/assets/{asset_type}/{asset_symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"symbol": "BTC",
"type": "crypto",
"name": "Bitcoin",
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": [
{
"symbol": "USDT",
"type": "stablecoin",
"name": "Tether USD"
},
{
"symbol": "SOL",
"type": "crypto",
"name": "Solana"
}
]
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_btc.webp",
"type": "image/webp"
},
"decimals": {
"funding": 8,
"swap": 10
},
"listing_date": "2013-10-06",
"price": "62081",
"market_cap": "1244183483835",
"market_cap_rank": 1,
"trending_rank": 66,
"volume": {
"last_24h": "53096507160"
},
"supply": {
"circulating": "20038918",
"total": "20038918",
"max": "21000000",
"in_quote": {
"circulating": "1244036068358",
"total": "1244036068358",
"max": "1303701000000"
}
},
"price_change_percent": {
"last_1h": "-0.312449",
"last_24h": "-0.584983",
"last_7d": "-15.616145",
"last_30d": "-24.558477",
"last_1y": "-40.690849"
},
"ath": {
"value": "126080",
"timestamp": "2025-10-06T18:57:42Z"
}
},
"quote_symbol": "USD",
"quote_type": "fiat"
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 403,
"instance": "<string>",
"code": "forbidden",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "request_error",
"status": 404,
"instance": "<string>",
"code": "not_found",
"doc_url": "<string>"
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "state_error",
"status": 409,
"instance": "<string>",
"code": "conflict",
"doc_url": "<string>"
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}Assets
Get Asset
Get information about a specific asset.
GET
/
v1
/
assets
/
{asset_type}
/
{asset_symbol}
curl
curl -X GET "https://api.services.payward.com/v1/assets/stablecoin/USDC"import requests
url = "https://api.services.payward.com/v1/assets/{asset_type}/{asset_symbol}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.services.payward.com/v1/assets/{asset_type}/{asset_symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"symbol": "BTC",
"type": "crypto",
"name": "Bitcoin",
"status": {
"swap_trading": {
"enabled": true,
"disabled_against": [
{
"symbol": "USDT",
"type": "stablecoin",
"name": "Tether USD"
},
{
"symbol": "SOL",
"type": "crypto",
"name": "Solana"
}
]
},
"withdraw": {
"enabled": true
},
"deposit": {
"enabled": true
}
},
"logo": {
"width": 400,
"height": 400,
"href": "https://assets.kraken.com/marketing/web/icons-uni-webp/s_btc.webp",
"type": "image/webp"
},
"decimals": {
"funding": 8,
"swap": 10
},
"listing_date": "2013-10-06",
"price": "62081",
"market_cap": "1244183483835",
"market_cap_rank": 1,
"trending_rank": 66,
"volume": {
"last_24h": "53096507160"
},
"supply": {
"circulating": "20038918",
"total": "20038918",
"max": "21000000",
"in_quote": {
"circulating": "1244036068358",
"total": "1244036068358",
"max": "1303701000000"
}
},
"price_change_percent": {
"last_1h": "-0.312449",
"last_24h": "-0.584983",
"last_7d": "-15.616145",
"last_30d": "-24.558477",
"last_1y": "-40.690849"
},
"ath": {
"value": "126080",
"timestamp": "2025-10-06T18:57:42Z"
}
},
"quote_symbol": "USD",
"quote_type": "fiat"
}{
"error": {
"type": "<string>",
"status": 400,
"instance": "<string>",
"code": "bad_request",
"doc_url": "<string>",
"causes": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "<string>",
"status": 401,
"instance": "<string>",
"code": "unauthenticated",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 403,
"instance": "<string>",
"code": "forbidden",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "request_error",
"status": 404,
"instance": "<string>",
"code": "not_found",
"doc_url": "<string>"
}
}{
"error": {
"type": "<string>",
"status": 504,
"instance": "<string>",
"code": "deadline_exceeded",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "state_error",
"status": 409,
"instance": "<string>",
"code": "conflict",
"doc_url": "<string>"
}
}{
"error": {
"type": "<string>",
"status": 429,
"instance": "<string>",
"code": "resource_exhausted",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 500,
"instance": "<string>",
"code": "internal",
"doc_url": "<string>",
"causes": [
{}
]
}
}{
"error": {
"type": "<string>",
"status": 503,
"instance": "<string>",
"code": "unavailable",
"doc_url": "<string>",
"causes": [
{}
]
}
}Path Parameters
Classification of the asset (fiat, crypto, stablecoin, or xstock).
Available options:
fiat, crypto, stablecoin, xstock Asset name (e.g., BTC, ETH, USD).
Ticker symbol of an asset (e.g. BTC, USDC, EUR).
Required string length:
3 - 16Example:
"BTC"
Query Parameters
ISO 3166-1 alpha-2 country code used to apply geo restrictions (e.g. US, GB).
Pattern:
^[A-Z]{2}$Example:
"US"
Ticker symbol of the fiat quote asset to use for valuations (e.g. USD, EUR). Defaults to USD.
Required string length:
3 - 16Example:
"USD"
Classification of the quote asset. Currently only fiat is supported.
Available options:
fiat ⌘I